org.apache.ignite.configuration

## Interface AddressResolver

    public interface AddressResolver

Provides resolution between external and internal addresses. In some cases network routers are configured to perform address mapping between external and internal networks and the same mapping must be available to SPIs in Ignite that perform communication over IP protocols.

### Method Summary

Methods
`Collection<InetSocketAddress>` `getExternalAddresses(InetSocketAddress addr)` Maps internal address to a collection of external addresses.

### Method Detail

#### getExternalAddresses

    Collection<InetSocketAddress> getExternalAddresses(InetSocketAddress addr)
                                                       throws IgniteCheckedException

Maps internal address to a collection of external addresses.

Parameters:
  `addr` - Internal (local) address.
Returns:
  Collection of addresses that this local address is "known" outside. Note that if there are more than one external network the local address can be mapped differently to each and therefore may need to return multiple external addresses.
Throws:
  `IgniteCheckedException` - Thrown if any exception occurs.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016